## Name

round — find the nearest integer less than or equal to the parameter

## Declaration

`genType round(` | genType x`)`;

`genDType round(` | genDType x`)`;

## Parameters

`x`

  Specify the value to evaluate.

## Description

`round` returns a value equal to the nearest integer to `x`. The fraction 0.5 will round in a direction chosen by the implementation, presumably the direction that is fastest. This includes the possibility that `round`(`x`) returns the same value as roundEven(`x`) for all values of `x`.

## Version Support

| OpenGL Shading Language Version
--- | ---
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
round (genType) | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔
round (genDType) | - | - | - | - | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

## See Also

floor, roundEven

## Copyright

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.